"use strict";
const common_vendor = require("../../../common/vendor.js");
const BILL_outstanding_fee_index_method = require("./method.js");
const BILL_outstanding_fee_index_model = require("./model.js");
const common_libraries_day = require("../../../common/libraries/day.js");
require("../../../common/libraries/sendWxWork.js");
require("../../../common/libraries/naviHelper.js");
require("../../../common/libraries/apiLoading.js");
require("../../../gen/Apis.js");
require("../../../common/libraries/request.js");
require("../../../common/store/useWeAppAuthStore.js");
require("../../../common/store/useWatermarkStore.js");
require("../../../common/store/useWorkStore.js");
if (!Array) {
  const _easycom_up_tabs2 = common_vendor.resolveComponent("up-tabs");
  const _easycom_uni_icons2 = common_vendor.resolveComponent("uni-icons");
  const _easycom_cc_scroll_loading2 = common_vendor.resolveComponent("cc-scroll-loading");
  const _easycom_cc_root_view2 = common_vendor.resolveComponent("cc-root-view");
  (_easycom_up_tabs2 + _easycom_uni_icons2 + _easycom_cc_scroll_loading2 + _easycom_cc_root_view2)();
}
const _easycom_up_tabs = () => "../../../node-modules/uview-plus/components/u-tabs/u-tabs.js";
const _easycom_uni_icons = () => "../../../uni_modules/uni-icons/components/uni-icons/uni-icons.js";
const _easycom_cc_scroll_loading = () => "../../../common/components/cc-scroll-loading/cc-scroll-loading.js";
const _easycom_cc_root_view = () => "../../../common/components/cc-root-view/cc-root-view.js";
if (!Math) {
  (_easycom_up_tabs + MyHeaderSearch + MyHeadSearchBtn + _easycom_uni_icons + _easycom_cc_scroll_loading + MyNoticeAlert + _easycom_cc_root_view)();
}
const MyHeadSearchBtn = () => "../components/HeadSearchBtn.js";
const MyNoticeAlert = () => "../components/NoticeAlert.js";
const MyHeaderSearch = () => "../components/HeaderSearch.js";
const _sfc_main = /* @__PURE__ */ common_vendor.defineComponent({
  __name: "index",
  setup(__props) {
    common_vendor.onLoad(async () => {
      var _a, _b, _c;
      await ((_a = common_vendor.getCurrentInstance()) == null ? void 0 : _a.appContext.config.globalProperties.$onLaunched);
      BILL_outstanding_fee_index_model.useModel.dataList.value = [];
      (_b = BILL_outstanding_fee_index_method.method) == null ? void 0 : _b.init();
      (_c = BILL_outstanding_fee_index_method.method) == null ? void 0 : _c.getList();
    });
    return (_ctx, _cache) => {
      var _a, _b, _c, _d, _e, _f, _g, _h, _i, _j, _k, _l, _m, _n, _o, _p, _q, _r, _s, _t;
      return common_vendor.e({
        a: (_c = (_b = (_a = common_vendor.unref(BILL_outstanding_fee_index_model.useModel)) == null ? void 0 : _a.headTabsList) == null ? void 0 : _b.value) == null ? void 0 : _c.length
      }, ((_f = (_e = (_d = common_vendor.unref(BILL_outstanding_fee_index_model.useModel)) == null ? void 0 : _d.headTabsList) == null ? void 0 : _e.value) == null ? void 0 : _f.length) ? {
        b: common_vendor.o((_g = common_vendor.unref(BILL_outstanding_fee_index_method.method)) == null ? void 0 : _g.handleListTabsChange),
        c: common_vendor.p({
          list: (_i = (_h = common_vendor.unref(BILL_outstanding_fee_index_model.useModel)) == null ? void 0 : _h.headTabsList) == null ? void 0 : _i.value,
          current: (_k = (_j = common_vendor.unref(BILL_outstanding_fee_index_model.useModel)) == null ? void 0 : _j.current) == null ? void 0 : _k.value
        })
      } : {}, {
        d: common_vendor.f((_m = (_l = common_vendor.unref(BILL_outstanding_fee_index_model.useModel)) == null ? void 0 : _l.dataList) == null ? void 0 : _m.value, (i, index, i0) => {
          return common_vendor.e({
            a: i == null ? void 0 : i.is_select
          }, (i == null ? void 0 : i.is_select) ? {
            b: "17d5eb04-5-" + i0 + ",17d5eb04-4",
            c: common_vendor.p({
              type: "checkbox-filled",
              size: "18",
              color: "#0082FA"
            })
          } : {
            d: "17d5eb04-6-" + i0 + ",17d5eb04-4",
            e: common_vendor.p({
              type: "circle",
              size: "18",
              color: "#666"
            })
          }, {
            f: common_vendor.t(i == null ? void 0 : i.full_name),
            g: common_vendor.o(($event) => {
              var _a2;
              return (_a2 = common_vendor.unref(BILL_outstanding_fee_index_method.method)) == null ? void 0 : _a2.handleSelect(index);
            }, `item_${index}`),
            h: common_vendor.t(i == null ? void 0 : i.total_overdue_amount),
            i: common_vendor.t(i == null ? void 0 : i.last_overdue_date),
            j: common_vendor.t(common_vendor.unref(common_libraries_day.ShowLastTime)(i == null ? void 0 : i.last_collection_time)),
            k: common_vendor.o(($event) => {
              var _a2;
              return (_a2 = common_vendor.unref(BILL_outstanding_fee_index_method.method)) == null ? void 0 : _a2.toDetail(i);
            }, `item_${index}`),
            l: `item_${index}`
          });
        }),
        e: common_vendor.o((_n = common_vendor.unref(BILL_outstanding_fee_index_method.method)) == null ? void 0 : _n.handleLoad),
        f: common_vendor.p({
          meta: (_p = (_o = common_vendor.unref(BILL_outstanding_fee_index_model.useModel)) == null ? void 0 : _o.meta) == null ? void 0 : _p.value
        }),
        g: (_r = (_q = common_vendor.unref(BILL_outstanding_fee_index_model.useModel)) == null ? void 0 : _q.allSelectStatus) == null ? void 0 : _r.value
      }, ((_t = (_s = common_vendor.unref(BILL_outstanding_fee_index_model.useModel)) == null ? void 0 : _s.allSelectStatus) == null ? void 0 : _t.value) ? {
        h: common_vendor.p({
          type: "checkbox-filled",
          size: "20",
          color: "#0082FA"
        })
      } : {
        i: common_vendor.p({
          type: "circle",
          size: "20",
          color: "#666"
        })
      }, {
        j: common_vendor.o(
          //@ts-ignore
          (...args) => {
            var _a2, _b2;
            return ((_a2 = common_vendor.unref(BILL_outstanding_fee_index_method.method)) == null ? void 0 : _a2.handleAllSelect) && ((_b2 = common_vendor.unref(BILL_outstanding_fee_index_method.method)) == null ? void 0 : _b2.handleAllSelect(...args));
          }
        ),
        k: common_vendor.o(
          //@ts-ignore
          (...args) => {
            var _a2, _b2;
            return ((_a2 = common_vendor.unref(BILL_outstanding_fee_index_method.method)) == null ? void 0 : _a2.toInformationTemplate) && ((_b2 = common_vendor.unref(BILL_outstanding_fee_index_method.method)) == null ? void 0 : _b2.toInformationTemplate(...args));
          }
        ),
        l: common_vendor.o(
          //@ts-ignore
          (...args) => {
            var _a2, _b2;
            return ((_a2 = common_vendor.unref(BILL_outstanding_fee_index_method.method)) == null ? void 0 : _a2.toMassSending) && ((_b2 = common_vendor.unref(BILL_outstanding_fee_index_method.method)) == null ? void 0 : _b2.toMassSending(...args));
          }
        )
      });
    };
  }
});
const MiniProgramPage = /* @__PURE__ */ common_vendor._export_sfc(_sfc_main, [["__file", "/Users/zsq/Sources/github/2025property-pay/pay-employee/src/BILL/outstanding_fee/index/index.vue"]]);
wx.createPage(MiniProgramPage);
